package org.springblade.modules.rk.service.impl;

import org.springblade.modules.rk.entity.RkEntity;
import org.springblade.modules.rk.vo.*;
import org.springblade.modules.rk.excel.RkExcel;
import org.springblade.modules.rk.mapper.RkMapper;
import org.springblade.modules.rk.service.IRkService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import java.util.List;
import java.util.Map;

/**
 * 房屋人口 服务实现类
 *
 * @author BladeX
 * @since 2023-08-05
 */
@Service
public class RkServiceImpl extends BaseServiceImpl<RkMapper, RkEntity> implements IRkService {

	@Override
	public IPage<RkVO> selectRkPage(IPage<RkVO> page, Map<String, Object> params) {
		return page.setRecords(baseMapper.selectRkPage(page, params));
	}


	@Override
	public List<RkExcel> exportRk(Wrapper<RkEntity> queryWrapper) {
		List<RkExcel> rkList = baseMapper.exportRk(queryWrapper);
		//rkList.forEach(rk -> {
		//	rk.setTypeName(DictCache.getValue(DictEnum.YES_NO, Rk.getType()));
		//});
		return rkList;
	}

	@Override
	public IPage<XqVO> getXqList(IPage<XqVO> page, Map<String, Object> params) {
		return page.setRecords(baseMapper.getXqList(page, params));
	}

	@Override
	public List<LdVO> getLdList(Map<String, Object> params) {
		return baseMapper.getLdList(params);
	}

	@Override
	public List<DyVO> getDyList(Map<String, Object> params) {
		return baseMapper.getDyList(params);
	}

	@Override
	public List<FjVO> getFjList(Map<String, Object> params) {
		return baseMapper.getFjList(params);
	}

	@Override
	public List<DyWebVO> getDyWebList(Map<String, Object> params) {
		return baseMapper.getDyWebList(params);
	}

	@Override
	public List<LcWebVO> getLcList(Map<String, Object> params) {
		return baseMapper.getLcList(params);
	}

	@Override
	public List<FjVO> getFjWebList(Map<String, Object> params) {
		return baseMapper.getFjWebList(params);
	}

	@Override
	public List<LbVOS> selectXq(Long value) {
		return baseMapper.selectXq(value);
	}

	@Override
	public List<LbVOSS> selectLd(String label) {
		return baseMapper.selectLd(label);
	}

	@Override
	public List<LbVOS> selectxqmj(String deptId) {
		return baseMapper.selectxqmj(deptId);
	}
}
